# WalletSigner | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- WalletSigner

## Index

### Constructors

- constructor

### Properties

- privateKey

### Methods

- fetchAccount
- getNetwork
- getSTXAddress
- getSTXPrivateKey
- signContractCall
- signContractDeploy
- signSTXTransfer

## Constructors

### constructor

- new WalletSigner(__namedParameters: { privateKey: Buffer }): WalletSigner

- - Defined in packages/keychain/src/wallet/signer.ts:55

  #### Parameters

  - ##### __namedParameters: { privateKey: Buffer }

    - ##### privateKey: Buffer

  #### Returns WalletSigner

## Properties

### privateKey

privateKey: Buffer

- Defined in packages/keychain/src/wallet/signer.ts:55

## Methods

### fetchAccount

- fetchAccount(__namedParameters: { rpcClient: RPCClient; version: TransactionVersion }): Promise<Account>

- - Defined in packages/keychain/src/wallet/signer.ts:75

  #### Parameters

  - ##### __namedParameters: { rpcClient: RPCClient; version: TransactionVersion }

    - ##### rpcClient: RPCClient

    - ##### version: TransactionVersion

  #### Returns Promise<Account>

### getNetwork

- getNetwork(): StacksTestnet

- - Defined in packages/keychain/src/wallet/signer.ts:69

  #### Returns StacksTestnet

### getSTXAddress

- getSTXAddress(version: TransactionVersion ): string

- - Defined in packages/keychain/src/wallet/signer.ts:61

  #### Parameters

  - ##### version: TransactionVersion

  #### Returns string

### getSTXPrivateKey

- getSTXPrivateKey(): Buffer

- - Defined in packages/keychain/src/wallet/signer.ts:65

  #### Returns Buffer

### signContractCall

- signContractCall(__namedParameters: ContractCallOptions): Promise< StacksTransaction >

- - Defined in packages/keychain/src/wallet/signer.ts:87

  #### Parameters

  - ##### __namedParameters: ContractCallOptions

  #### Returns Promise< StacksTransaction >

### signContractDeploy

- signContractDeploy(__namedParameters: ContractDeployOptions): Promise< StacksTransaction >

- - Defined in packages/keychain/src/wallet/signer.ts:112

  #### Parameters

  - ##### __namedParameters: ContractDeployOptions

  #### Returns Promise< StacksTransaction >

### signSTXTransfer

- signSTXTransfer(__namedParameters: STXTransferOptions): Promise< StacksTransaction >

- - Defined in packages/keychain/src/wallet/signer.ts:133

  #### Parameters

  - ##### __namedParameters: STXTransferOptions

  #### Returns Promise< StacksTransaction >

Generated using TypeDoc